Description

I am experiencing a bug in the captive portal, it happens every 3 days or so, this ruling requires me to reinstall pfsense, I can't find

the way to solve it, can you help?

need a pipe / flowset / sched number Warning: Can not modify header information - headers already sent by (output started at / etc /

inc / captiveportal.inc: 1877) in / etc / inc / captiveportal.inc on line 1946

History

#1 - 06/16/2013 08:08 PM - Alberto Palau

Another detail is that when the error happens it creates a single limit like the follow.

Limiters:

00001: 262.140 Kbit/s    0 ms burst 0

q131073 100 sl. 0 flows (1 buckets) sched 65537 weight 0 lmax 0 pri 0 droptail

sched 65537 type FIFO flags 0x0 16 buckets 0 active

#2 - 06/19/2013 11:11 PM - Alberto Palau

- File captiveportalunag.db added

- File captiveportalunag (1).db added

- File captiveportal_online_users.txt added

- File captiveportal_radius_unag.db added

- File captiveportal_radius_unag (1).db added

- File captiveportaldn.rules added

- File captiveportaldn (1).rules added

I think I'm close to the problem, I deleted the database files belonging to the captive portal " /var/db " and then restart the server and the problem went

away, the captive portal created files again, but I would like a pfSense developer to assess them to determine the problem.

The databases are encrypted.

#3 - 06/28/2013 05:06 PM - Alberto Palau

After several weeks looking for the origin of the problem exposed in this forum, I concluded that the problem occurs when the number of ports that are

assigned to the captive portal connections and also related to the number of limiters, exceeds the number 65535, when that happens, the captive

portal does not allow access to more customers, the captive portal does not reuses disused ports, continues to increase, i don't know if it really the

captive portal or firewall, but the problem hangs completely captive portal and causes it to have to delete the local DB so it can work again.

Limiters:

00001:   1.024 Mbit/s    0 ms burst 0

q131073 100 sl. 0 flows (1 buckets) sched 65537 weight 0 lmax 0 pri 0 droptail

sched 65537 type FIFO flags 0x0 16 buckets 0 active

#4 - 06/28/2013 06:35 PM - Alberto Palau

http://forum.pfsense.org/index.php/topic,63941.0.html

#5 - 07/01/2013 03:29 PM - Alberto Palau
http://forum.pfsense.org/index.php/topic,63941.0.html


You can close this bug

#6 - 07/01/2013 03:41 PM - Renato Botelho

- Status changed from New to Rejected

Closed per submitter request

Files

captiveportalunag.db 11 KB 06/19/2013 Alberto Palau

captiveportalunag (1).db 10 KB 06/19/2013 Alberto Palau

captiveportal_online_users.txt 10 Bytes 06/19/2013 Alberto Palau

captiveportal_radius_unag.db 67 Bytes 06/19/2013 Alberto Palau

captiveportal_radius_unag (1).db 67 Bytes 06/19/2013 Alberto Palau

captiveportaldn.rules 1.14 MB 06/19/2013 Alberto Palau

captiveportaldn (1).rules 747 KB 06/19/2013 Alberto Palau
